// INDEX FILE OFFER

<template>
  <div class="content">
    <h2>Title: {{ offer.title }}</h2>
    <h2>Username: {{ offer.User.user_name }}</h2>
    <h2>Offer-ID: {{ offer.offer_id }}</h2>
    <h2>Offer Description:</h2>
    <h2>{{ offer.description }}</h2>
  </div>
</template>

<script>
import OffersService from '@/services/OffersService'
export default {
  async asyncData({ params }) {
    const offer = (await OffersService.getOfferById(params.id)).data[0]
    return { offer }
  }
}
</script>

<style scoped></style>
